##
# Basic
#
site_title: Tétras Libre                    # The title of your website
base_url: ~                         # Pico will try to guess its base URL, if this fails, override it here;
                                    #     Example: https://example.com/pico/
rewrite_url: ~                      # A boolean (true or false) indicating whether URL rewriting is forced
debug: ~                            # Set this to true to enable Pico's debug mode
timezone: ~                         # Your PHP installation might require you to manually specify a timezone
locale: fr_FR.utf8                           # Your PHP installation might require you to manually specify a locale to use

##
# Theme
#
theme: tetras                      # The name of your custom theme
themes_url: ~                       # Pico will try to guess the URL to the themes dir of your installation;
                                    #     If this fails, override it here. Example: https://example.com/pico/themes/
theme_config:                       # Additional theme-specific config
    widescreen: ~               # Default theme: Use more horizontal space (i.e. make the site container wider)
twig_config:                        # Twig template engine config
    autoescape: html                # Let Twig escape variables by default
    strict_variables: false         # If set to true, Twig will bail out when unset variables are being used
    charset: utf-8                  # The charset used by Twig templates
    debug: ~                        # Enable Twig's debug mode
    cache: content/cache/twig                    # Enable Twig template caching by specifying a path to a writable directory
    auto_reload: ~                  # Recompile Twig templates whenever the source code changes

##
# Content
#
date_format: %c                  # Pico's default date format;
                                    #     See https://php.net/manual/en/function.strftime.php for more info
pages_order_by_meta: Order         # Sort pages by meta value "author" (set "pages_order_by" to "meta")
pages_order_by: meta               # Change how Pico sorts pages ("alpha" for alphabetical order, "date", or "meta")
pages_order: asc                    # Sort pages in ascending ("asc") or descending ("desc") order
content_dir: ~                      # The path to Pico's content directory
content_ext: .md                    # The file extension of your Markdown files
content_config:                     # Parsedown Markdown parser config
    extra: true                     # Use the Parsedown Extra parser to support extended markup;
                                    #     See https://michelf.ca/projects/php-markdown/extra/ for more info
    breaks: false                   # A boolean indicating whether breaks in the markup should be reflected in the
                                    #     parsed contents of the page
    escape: false                   # Escape HTML markup in your content files; don't confuse this with some sort of
                                    #     safe mode, enabling this doesn't allow you to process untrusted user input!
    auto_urls: true                 # Automatically link URLs found in your markup
assets_dir: assets/                 # The path to Pico's assets directory
assets_url: ~                       # Pico will try to guess the URL to the assets dir of your installation;
                                    #     If this fails, override it here. Example: https://example.com/pico/assets/

##
# Plugins
#
plugins_url: ~                      # Pico will try to guess the URL to the plugins dir of your installation;
                                    #     If this fails, override it here. Example: https://example.com/pico/plugins/
DummyPlugin.enabled: false          # Force the plugin "DummyPlugin" to be disabled

##
# Custom
#
my_custom_setting: Hello World!     # You can access custom settings in themes using {{ config.my_custom_setting }}

##
# Cache
##
PicoZCache:
  enabled: true          # True/False if cache is enabled
  dir: content/cache/html/    # Directory where cache should be saved
  time: 2592000           # Interval between caching (period from one to second cache) in seconds, here is 7 days = 60 * 60 * 24 * 30.
  xhtml_output: false    # If true, XHTML Content-Type header will be sent when loading cache page
